/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */

/* Defines if your system has the crypt function */
#define HAVE_CRYPT 1

/* Define if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define if you have libjpeg */
#define HAVE_LIBJPEG 1

/* Define if you have libpng */
#define HAVE_LIBPNG 1

/* Define if you have a working libpthread (will enable threaded code) */
#define HAVE_LIBPTHREAD 1

/* Define if you have libz */
#define HAVE_LIBZ 1

/* Define if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define if you have the <pthread/linuxthreads/pthread.h> header file. */
/* #undef HAVE_PTHREAD_LINUXTHREADS_PTHREAD_H */

/* Define if you have random */
#define HAVE_RANDOM 1

/* Define if you have the res_init function */
#define HAVE_RES_INIT 1

/* Define if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* C++ compiler supports template repository */
#define HAVE_TEMPLATE_REPOSITORY 1

/* Define if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define if you have the `usleep' function. */
#define HAVE_USLEEP 1

/* Define if you want Xinerama support */
/* #undef HAVE_XINERAMA */

/* Name of package */
#define PACKAGE "games"

/* The size of a `char', as computed by sizeof. */
#define SIZEOF_CHAR 1

/* The size of a `char *', as computed by sizeof. */
#define SIZEOF_CHAR_P 4

/* The size of a `int', as computed by sizeof. */
#define SIZEOF_INT 4

/* The size of a `long', as computed by sizeof. */
#define SIZEOF_LONG 4

/* Define if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Version number of package */
#define VERSION "3.0"

/* Compatibility define */
#define ksize_t socklen_t

/* Define the real type of socklen_t */
/* #undef socklen_t */
/*
 * jpeg.h needs HAVE_BOOLEAN, when the system uses boolean in system
 * headers and I'm too lazy to write a configure test as long as only
 * unixware is related
 */
#ifdef _UNIXWARE
#define HAVE_BOOLEAN
#endif

/* random() returns a value between 0 and RANDOM_MAX.
 * RANDOM_MAX is needed to generate good random numbers. (Nicolas)
 */
#ifndef HAVE_RANDOM
#define HAVE_RANDOM
#define RANDOM_MAX 2^31 /* random() is lrand48() */
#ifdef __cplusplus
extern "C"
#endif
long int random(void); /* defined in fakes.cpp */
#ifdef __cplusplus
extern "C"
#endif
void srandom(unsigned int seed);
#endif

#ifndef RANDOM_MAX
#define RANDOM_MAX RAND_MAX /* normal random() */
#endif

#ifndef HAVE_USLEEP
#define HAVE_USLEEP
#ifdef __cplusplus
extern "C"
#endif
int usleep(unsigned int usec);
#endif

#ifdef __osf__
#ifdef __cplusplus
extern "C" void usleep(unsigned int);
#else
void usleep(unsigned int);
#endif
#endif

