#ifndef USERLEVELDLG_H
#define USERLEVELDLG_H
#include "userlevelbase.h"
#include <kconfig.h>

class UserlevelDlg : public UserlevelDlgBase
{ 
    Q_OBJECT

public:
    UserlevelDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~UserlevelDlg();
    void setItems(const QStringList &list);
    void writeItems(KConfig *config);
    void setConfig(KConfig *config) {mConfig=config;}

public slots:
    void slotCreateNew();
    void slotDelete();
    void slotEdit();
    void slotHighlighted(int);

private:
    KConfig *mConfig;
    QStringList mList;
};

#endif // USERLEVELDLG_H
