#ifndef HIGHSCOREDLG_H
#define HIGHSCOREDLG_H
#include "highscoredlgbase.h"
#include <kconfig.h>

class HighScoreDlg : public HighscoreDlgBase
{ 
    Q_OBJECT

public:
    HighScoreDlg( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
    ~HighScoreDlg();
    void enterName(KConfig *config,QString levelname,QString savename,int score=0);
    void saveData();

public slots:
    void slotEnterName();
    void slotOkClicked();
    void slotResetData();

private:
    int mScore;
    KConfig *mConfig;
    int mMaxNo;
    QString mLastName;
    bool mSave;
    QString mLevel;


};

#endif // HIGHSCOREDLG_H
